#include "includes.h"
#include "client.h"

int term_debug = 0;
int verbose = 0;

static int local_options ( char opt, char *term_optarg )
{
  switch(opt)
  {
  case 'v' :
    verbose = 1; 
    break;
  default:
    return -1;
  }
  return 0;
}

void main(int argc, char *argv[]) {
  int s, j=0;

  (void) client_options(argc, argv,"v",local_options);

  use_term_command(PRIVILEGED);

  if ((s = socket_connect_server(-1,term_server)) <0) {
    fprintf(stderr,"Term: %s\n", command_result);
    exit(1);
  }

  if (verbose) 
    printf ("Shutting down remote...\n");
  if (send_command(s, C_QUIT, 0, 0) < 0) {
    fprintf(stderr,"Couldn't shutdown remote: %u\n", termerrno);
    j=1;
  }
  if (verbose)
    printf ("Shutting down local...\n");
  if (send_command(s, C_QUIT, 1, 0) < 0) {
    fprintf(stderr,"Couldn't shutdown local: %u\n", termerrno);
    exit(1);
  }
  exit(1);
}
